Subject: Re: bug#48963: "guix build guix" halts after exhausting memory

From: Ludovic Courtès <[email-masked]>
Date: Fri, 18 Jun 2021 11:51:14 +0200

Hi,

Julien Lepiller <[email-masked]> skribis:

> Le Thu, 17 Jun 2021 09:58:09 -0400,
> Julien Lepiller <[email-masked]> a écrit :
>
>> Hi Ludo,
>> 
>> I tried your patch by creating a variant of the guix package. My
>> first attempt was a failure because it's still using almost all my
>> memory and I forgot to enable my swap. In the second attempt, the
>> build phase succeeded, but the build failed during the test phase
>> (test/inferior). I've started a new build hoping it's a
>> non-deterministic failure.
>
> I'm afraid after testing 2 more times that the test failure is
> happening consistently, at least of armhf.

(The _build_ failure, right?)

Have you been able to see how this affects max RSS?

Does it go any further than without the patch?

Thanks,
Ludo’.